Subject: Siberian Mushrm Tea

From: [email-masked] (RICHARD EIKENBURG)
Date: 02 Oct 95 21:39:00

Hello, All! 

 An elderly friend of mine showed me some literature on the benefits of 
drinking a tea made from a "Siberian" mushroom that is propagated in a 
medium of black tea and some form of sucrose. According to the literature, 
it seems to be good for a host of ills, but it also sounds like snake oil. 
Does anyone have any experience/information on this? I don't want this 
dear lady to poison herself...

  Thanks,

  Richard

 * Freddie 1.2.5 * I didn't claw my way up the food chain to eat vegetables...
--
|Fidonet:  RICHARD EIKENBURG 1:382/48
|Internet: [email-masked]
|
| Standard disclaimer: The views of this user are strictly his own.